# ApiConfigList Data Model

A list of configuration data.

Properties
name | data type | description
--- | --- | ---
items | array of ApiConfig |

Example

    {
      "items" : [ {
        "name" : "...",
        "value" : "...",
        "required" : true,
        "default" : "...",
        "displayName" : "...",
        "description" : "...",
        "relatedName" : "...",
        "sensitive" : true,
        "validationState" : "ERROR",
        "validationMessage" : "...",
        "validationWarningsSuppressed" : true
      }, {
        "name" : "...",
        "value" : "...",
        "required" : true,
        "default" : "...",
        "displayName" : "...",
        "description" : "...",
        "relatedName" : "...",
        "sensitive" : true,
        "validationState" : "OK",
        "validationMessage" : "...",
        "validationWarningsSuppressed" : true
      } ]
    }